Agent Versions
Delete an agent version
Deletes a specific version of an agent. For hosted agents, if the version has active
sessions, the request is rejected with HTTP 409 unless force is set to true. When
force is true, all sessions associated with this version are cascade-deleted.
Параметры пути
agent_name
string
обязательно
The name of the agent to delete.
agent_version
string
обязательно
The version of the agent to delete
Параметры запроса
force
boolean
For Hosted Agents, if true, force-deletes the version even if it has active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
обязательно
The API version to use for this operation.
Ответы
The request has succeeded.
Текст
object
enum
обязательно
The object type. Always 'agent.version.deleted'.
name
string
обязательно
The name of the agent.
version
string
обязательно
The version identifier of the agent.
deleted
boolean
обязательно
Whether the agent was successfully deleted.
Запрос
DELETE /agents/{agent_name}/versions/{agent_version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json